package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDTaskType;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskTypeSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDTaskType] 服务对象接口
 */
public interface TSSDTaskTypeService extends IService<TSSDTaskType>{

	boolean create(TSSDTaskType et);
	boolean remove(TSSDTaskType et);
	boolean getDraft(TSSDTaskType et);
	boolean checkKey(TSSDTaskType et);
		TSSDTaskType get(TSSDTaskType et);
	boolean update(TSSDTaskType et);
    List<TSSDTaskType> listDefault(TSSDTaskTypeSearchFilter filter) ;
	Page<TSSDTaskType> searchDefault(TSSDTaskTypeSearchFilter filter);
	/**	 实体[TSSDTaskType] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }